## org.apache.batik.gvt.event
Interface SelectionListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  AbstractJGVTComponent.UnixTextSelectionListener, SelectionAdapter, TextSelectionManager.TextSelectionListener

    public interface SelectionListener

extends java.util.EventListener

The listener interface for receiving selection events.

Method Summary
`void` `selectionChanged(SelectionEvent evt)` Invoked when a selection has changed.
`void` `selectionCleared(SelectionEvent evt)` Invoked when a selection is cleared.
`void` `selectionDone(SelectionEvent evt)` Invoked when a selection is done.
`void` `selectionStarted(SelectionEvent evt)` Invoked when a selection started.

Method Detail

### selectionChanged

    void selectionChanged(SelectionEvent evt)

  Invoked when a selection has changed.

  Parameters:
    `evt` - the selection change event

### selectionDone

    void selectionDone(SelectionEvent evt)

  Invoked when a selection is done.

  Parameters:
    `evt` - the selection change event

### selectionCleared

    void selectionCleared(SelectionEvent evt)

  Invoked when a selection is cleared.

  Parameters:
    `evt` - the selection change event

### selectionStarted

    void selectionStarted(SelectionEvent evt)

  Invoked when a selection started.

  Parameters:
    `evt` - the selection change event

Copyright © 2008 Apache Software Foundation. All Rights Reserved.